%define	name	brutalchess
%define	version	0.5.2
%define	release	%mkrel 1

%define	Summary	Cross-platform GPL chess game with 3D graphics
%define	title		Brutal Chess
%define	section	Games/Boards
%define	iconname	%{name}.png

Summary: 	%Summary
Name: 		%name
Version: 		%version
Release:		%release
License:		GPL
Group: 		%section
Source:		%{name}-%{version}.tar.bz2
Source1:		%{iconname}
BuildRoot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	libxi6-devel libxmu6-devel
BuildRequires:	libSDL1.2-devel >= 1.2.7
BuildRequires:	libSDL_image1.2-devel
BuildRequires:	libfreetype6-devel >= 2.1.9
Requires:		libxi6 libxmu6
Requires:		libSDL1.2 >= 1.2.7
Requires:		libSDL_image1.2
Requires:		libfreetype6 >= 2.1.9
URL: 		http://sourceforge.net/projects/brutalchess/
Packager:		Stumpy842

%description
Brutal Chess features full 3D graphics, an advanced particle engine, 
and several different levels of intelligent AI, inspired by the once 
popular "Battle Chess" released by Interplay circa 1988.

%prep
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%build
%{configure} --prefix=%{_prefix}
%{__make} %{?_smp_mflags} %{?mflags}

%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install


%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/applications
cat >$RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%title
Comment=%Summary
Exec=%name
Icon=%iconname
Terminal=false
Type=Application
Categories=Game;BoardGame;X-MandrivaLinux-MoreApplications-Games-Boards;
EOF

# icon
%__mkdir_p %buildroot%_iconsdir
%__install -m 644 %SOURCE1 %buildroot%_iconsdir/%iconname

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_desktop_database}

echo "See the file /usr/share/%{name}/doc/README"
echo "for notes on gameplay."

%postun
/sbin/ldconfig
%{clean_desktop_database}

# [ -d "%{_datadir}/%name" ] && rm -rf "%{_datadir}/%name" 2>/dev/null

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_libdir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_iconsdir}/%{iconname}
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Oct 11 2007 Stumpy842 <stump842@gmail.com> 0.5.2-1pclos_tinyme2007
- rebuild for pclos2007
